Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 118123

Summary: dev-util/libconf-0.42.10 creates /usr/lib6464 directory for ruby
Product: Gentoo Linux Reporter: Jose daLuz <jdaluz>
Component: [OLD] DevelopmentAssignee: dams (RETIRED) <dams>
Status: VERIFIED TEST-REQUEST    
Severity: minor CC: perl, rhill
Priority: High    
Version: 2005.1   
Hardware: AMD64   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Jose daLuz 2006-01-06 18:07:30 UTC
libconf-0.42.10 creates, and places its conf2xml.so in the following directory:
/usr/lib6464/ruby/site_ruby/1.8/x86_64-linux
This should be placed in /usr/lib64/ruby/site_ruby/1.8/x86_64-linux instead.
Comment 1 Michael Cummings (RETIRED) gentoo-dev 2006-03-01 15:23:17 UTC
lines 48-52 in the ebuild could probably be dropped then
Comment 2 dams (RETIRED) gentoo-dev 2006-03-01 16:20:54 UTC
corrected in libconf-0.42.10-r1
Comment 3 Jose daLuz 2006-03-01 20:43:49 UTC
I can confirm it works properly with libconf-0.42.10-r1 -- no more /usr/lib6464.
Comment 4 dams (RETIRED) gentoo-dev 2006-03-02 00:52:28 UTC
Thanks. Marking verified